//
//  Monster.h
//  MathMonsters
//
//  Created by Ray Wenderlich on 5/3/10.
//  Copyright 2010 Ray Wenderlich. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
    Blowgun = 0,
    NinjaStar,
    Fire,
    Sword,
    Smoke,
} Weapon;

@interface Monster : NSObject {
    NSString *_name;
    NSString *_descr;
    NSString *_iconName;
    Weapon _preferredWayToKill;
}

@property (nonatomic, copy) NSString *name;
@property (nonatomic, copy) NSString *descr;
@property (nonatomic, copy) NSString *iconName;
@property (nonatomic, assign) Weapon preferredWayToKill;

- (Monster *)initWithName:(NSString *)name descr:(NSString *)descr iconName:(NSString *)iconName preferredWayToKill:(Weapon)preferredWayToKill;

@end
