//
//  WeaponSelector.h
//  MathMonsters
//
//  Created by Ray Wenderlich on 5/3/10.
//  Copyright 2010 Ray Wenderlich. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WeaponInputViewController.h"

@protocol WeaponSelectorDelegate
- (void)weaponChanged:(Weapon)weapon;
@end

@interface WeaponSelector : UIImageView <WeaponInputControllerDelegate> {
    WeaponInputViewController *_weaponInputView;
    Weapon _weapon;
    id<WeaponSelectorDelegate> _delegate;
}

@property (nonatomic, retain) WeaponInputViewController *weaponInputView;
@property (nonatomic, assign) Weapon weapon;
@property (nonatomic, assign) IBOutlet id<WeaponSelectorDelegate> delegate;

- (UIView *)inputView;

@end
